Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.rms
Class RecordStoreEntry

    java.lang.Object
      com.sun.squawk.rms.RmsEntry
          com.sun.squawk.rms.RecordStoreEntry

All Implemented Interfaces:
  IRecordStoreEntry, IRmsEntry

    public class RecordStoreEntry

extends RmsEntry
implements IRecordStoreEntry

Field Summary
`protected int` | `id`
`protected static int` | `INSERT_PADDING`
`protected long` | `lastModifiedTimestamp`
`protected int` | `lastRecordId`
`protected IRecordStoreManager` | `manager`
`protected String` | `name`
`protected int` | `numRecords`
`protected Address[]` | `recordAddresses`
`protected int[]` | `recordIds`
`static int` | `TYPE`
`protected int` | `version`

Fields inherited from class com.sun.squawk.rms.RmsEntry
`address, size`

Constructor Summary
`RecordStoreEntry(IRecordStoreManager manager)`

Method Summary
`void` | `absorbTempEntry(IRecordStoreEntry tempEntry)`
`int` | `addRecord(byte[] bytes, int offset, int length)`
`protected void` | `changed()`
`void` | `deleteRecord(int recordId)`
`void` | `deleteRecords()`
`protected IRecordEntry` | `findRecord(int recordId)`
`protected Address` | `findRecordAddress(int recordId)`
`protected int` | `findRecordIndex(int recordId)`
`int` | `getId()`
`String` | `getName()`
`int` | `getNextRecordId()`
`int` | `getNumRecords()`
`byte[]` | `getRecord(int recordId)`
`int` | `getRecord(int recordId, byte[] buffer, int offset)`
`int[]` | `getRecordIdsCopy()`
`int` | `getRecordSize(int recordId)`
`int` | `getRecordsSize()`
`long` | `getTimestamp()`
`int` | `getType()`
`int` | `getVersion()`
`protected void` | `insertAtIndex(int index)`
`void` | `readFrom(IMemoryHeapBlock memoryBlock)`
`void` | `reVisitRecordEntry(IRecordEntry record)`
`void` | `setId(int id)`
`void` | `setName(String name)`
`void` | `setRecord(int recordId, byte[] bytes, int offset, int length)`
`void` | `visit(IRmsEntryVisitor visitor)`
`void` | `visitRecordEntry(IRecordEntry record)`
`void` | `writeTo(DataOutputStream dataOut)`

Methods inherited from class com.sun.squawk.rms.RmsEntry
`getAddress, setAddress, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.squawk.rms.IRmsEntry
`getAddress, setAddress, size`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

### INSERT_PADDING

    protected static final int INSERT_PADDING

See Also:
  Constant Field Values

### manager

    protected IRecordStoreManager manager

### id

    protected int id

### recordIds

    protected int[] recordIds

### recordAddresses

    protected Address[] recordAddresses

### name

    protected String name

### numRecords

    protected int numRecords

### lastRecordId

    protected int lastRecordId

### lastModifiedTimestamp

    protected long lastModifiedTimestamp

### version

    protected int version

Constructor Detail

### RecordStoreEntry

    public RecordStoreEntry(IRecordStoreManager manager)

Method Detail

### absorbTempEntry

    public void absorbTempEntry(IRecordStoreEntry tempEntry)

  Specified by:
    `absorbTempEntry` in interface `IRecordStoreEntry`

### addRecord

    public int addRecord(byte[] bytes,
                         int offset,
                         int length)
                  throws RecordStoreException,
                         RecordStoreFullException

  Specified by:
    `addRecord` in interface `IRecordStoreEntry`
  Throws:
    `RecordStoreException`
    `RecordStoreFullException`

### changed

    protected void changed()

### deleteRecord

    public void deleteRecord(int recordId)
                      throws InvalidRecordIDException,
                             RecordStoreException

  Specified by:
    `deleteRecord` in interface `IRecordStoreEntry`
  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### deleteRecords

    public void deleteRecords()
                       throws RecordStoreException

  Specified by:
    `deleteRecords` in interface `IRecordStoreEntry`
  Throws:
    `RecordStoreException`

### findRecordAddress

    protected Address findRecordAddress(int recordId)
                                 throws InvalidRecordIDException,
                                        RecordStoreException

  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### findRecordIndex

    protected int findRecordIndex(int recordId)

  Returns:
    index of the search key, if it is contained in the list; otherwise, `(-(insertion point) - 1)`. The insertion point is defined as the point at which the key would be inserted into the list: the index of the first element greater than the key, or `list.size()`, if all elements in the list are less than the specified key. Note that this guarantees that the return value will be >= 0 if and only if the key is found.

### findRecord

    protected IRecordEntry findRecord(int recordId)
                               throws InvalidRecordIDException,
                                      RecordStoreException

  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### getId

    public int getId()

  Specified by:
    `getId` in interface `IRecordStoreEntry`

### getName

    public String getName()

  Specified by:
    `getName` in interface `IRecordStoreEntry`

### getNextRecordId

    public int getNextRecordId()

  Specified by:
    `getNextRecordId` in interface `IRecordStoreEntry`

### getNumRecords

    public int getNumRecords()

  Specified by:
    `getNumRecords` in interface `IRecordStoreEntry`

### getRecord

    public byte[] getRecord(int recordId)
                     throws InvalidRecordIDException,
                            RecordStoreException

  Specified by:
    `getRecord` in interface `IRecordStoreEntry`
  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### getRecord

    public int getRecord(int recordId,
                         byte[] buffer,
                         int offset)
                  throws InvalidRecordIDException,
                         RecordStoreException

  Specified by:
    `getRecord` in interface `IRecordStoreEntry`
  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### getRecordIdsCopy

    public int[] getRecordIdsCopy()

  Specified by:
    `getRecordIdsCopy` in interface `IRecordStoreEntry`

### getRecordSize

    public int getRecordSize(int recordId)
                      throws InvalidRecordIDException,
                             RecordStoreException

  Specified by:
    `getRecordSize` in interface `IRecordStoreEntry`
  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`

### getRecordsSize

    public int getRecordsSize()
                       throws RecordStoreException

  Specified by:
    `getRecordsSize` in interface `IRecordStoreEntry`
  Throws:
    `RecordStoreException`

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `IRecordStoreEntry`

### getType

    public int getType()

  Specified by:
    `getType` in interface `IRmsEntry`

### getVersion

    public int getVersion()

  Specified by:
    `getVersion` in interface `IRecordStoreEntry`

### insertAtIndex

    protected void insertAtIndex(int index)

### readFrom

    public void readFrom(IMemoryHeapBlock memoryBlock)
                  throws IOException

  Specified by:
    `readFrom` in interface `IRmsEntry`
  Overrides:
    `readFrom` in class `RmsEntry`
  Throws:
    `IOException`

### reVisitRecordEntry

    public void reVisitRecordEntry(IRecordEntry record)
                            throws RecordStoreException

  Specified by:
    `reVisitRecordEntry` in interface `IRecordStoreEntry`
  Throws:
    `RecordStoreException`

### setId

    public void setId(int id)

  Specified by:
    `setId` in interface `IRecordStoreEntry`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `IRecordStoreEntry`

### setRecord

    public void setRecord(int recordId,
                          byte[] bytes,
                          int offset,
                          int length)
                   throws InvalidRecordIDException,
                          RecordStoreException,
                          RecordStoreFullException

  Specified by:
    `setRecord` in interface `IRecordStoreEntry`
  Throws:
    `InvalidRecordIDException`
    `RecordStoreException`
    `RecordStoreFullException`

### visit

    public void visit(IRmsEntryVisitor visitor)
               throws RecordStoreException

  Specified by:
    `visit` in interface `IRmsEntry`
  Throws:
    `RecordStoreException`

### visitRecordEntry

    public void visitRecordEntry(IRecordEntry record)
                          throws RecordStoreException

  Specified by:
    `visitRecordEntry` in interface `IRecordStoreEntry`
  Throws:
    `RecordStoreException`

### writeTo

    public void writeTo(DataOutputStream dataOut)
                 throws IOException

  Specified by:
    `writeTo` in interface `IRmsEntry`
  Overrides:
    `writeTo` in class `RmsEntry`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"